//!  # Release Profiles
//!
//! `release_profiles` is a collection of utilities to
//! learn Rust.
//!
//! The doubles slashes and then ! adds documentation to
//! the item that contains the comments rather than to the
//! items following the comments. Typically used in crate root
//! file.
//!
//! Documentation comments have three slashes which
//! generate HTML.

/// Adds one to the given number.
/// This is literally markdown
///
/// # Examples
///
/// ```
/// let arg = 5;
/// let answer = release_profiles::add_one(arg);
///
/// assert_eq!(6, answer);
/// ```
pub fn add_one(x: i32) -> i32 {
    x + 1
}

// Like the `# Examples` section above,
// may also use `Panics`, `Errors`, or `Safety`
